MozillaZine


Post extensions that work with Deer Park/Firefox 1.5 HERE

Discussion about official Mozilla Firefox builds
Warduke
 
Posts: 630
Joined: November 4th, 2002, 7:49 pm

Post Posted September 8th, 2005, 1:07 pm

rmpmw wrote:Does anyon know how to either DELETE or Change an ABOUT:CONFIG entry once its been added?
I created an entry as an Integer when It should have been a STRING (APP.EXTENSIONS.VERSION) and now I can't delete it or change its value

Help!! - I Need to change it to STRING so I can install my older extensions.

Thanks in advance...


Right-click the entry, and then choose Reset.
Firefox : One Browser to Rule Them All.

dickvl

User avatar
 
Posts: 53551
Joined: July 18th, 2005, 3:25 am

Post Posted September 8th, 2005, 1:24 pm

Strange that you had to create "app.extensions.version" it should already be there. Make sure you use lower case. Set filter to version to locate.

Old R.Marotta
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted September 8th, 2005, 1:34 pm

This only allows you to change the VALUE not the TYPE. I have to change the TYPE. Or Delete it entirely and enter it again as a String.
Right now, I can't enter the name again as a string, FF Won't allow you to enter the same name twice, and I don't think theres a delete option.

Old R.Marotta
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted September 8th, 2005, 1:39 pm

You must Create this string value, Its not there by default. I

Warduke
 
Posts: 630
Joined: November 4th, 2002, 7:49 pm

Post Posted September 8th, 2005, 1:48 pm

Go into your profile and delete the entry from your prefs file.
Firefox : One Browser to Rule Them All.

dickvl

User avatar
 
Posts: 53551
Joined: July 18th, 2005, 3:25 am

Post Posted September 8th, 2005, 1:51 pm

If you have to remove it you probably have to edit the prefs.js file in your profiles folder. You have to exit Fx first. Use a plain text editor like Notepad.

See: http://kb.mozillazine.org/Profile_Folder

Old R.Marotta
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted September 8th, 2005, 3:15 pm

To Get Older Non-Working Extensions to work in Firefox 1.5 Beta 1, Without editing Multiple install files,

You must add the following line to ABOUT:CONFIG: app.extensions.version

Set it's TYPE as STRING, And it's Value to: 1.0

All your extensions should now work.
Install extensions to your hearts content !

paulfox
 
Posts: 1510
Joined: May 8th, 2004, 1:38 pm

Post Posted September 8th, 2005, 10:57 pm

Well, considering I have 19 extensions in my sig, and 2 are replaced by 1.5's internal "drag tab" and "clear privacy data," that left 17.

I'm happy to report that these FIFTEEN out of 17 are working thanks to some "tweaking": (not bad!)

Image

Now if Noia theme, Greasemonkey and ewebmail will work - I'm away for slates. Note the "#" is slightly off due to Nightly Tester being addd. That's pretty damn good for a beta that was supposed to break everything in sight! Good job, lads and ladies.
PentiumIII/W2K, Toshiba AMD laptop/Vista. FX 3 on both.

gssq

User avatar
 
Posts: 504
Joined: December 7th, 2002, 10:17 am
Location: Singapore

Post Posted September 10th, 2005, 4:48 am

dickvl wrote:Strange that you had to create "app.extensions.version" it should already be there. Make sure you use lower case. Set filter to version to locate.


I upgraded from 0904 to FF 1.5 Beta 1 and the string disappeared! :0

Something is rotten in the state of Denmark.

Old R.Marotta
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted September 10th, 2005, 5:13 am

It's not there - You must MANUALLY add it to About:Config In Firefox 1.5 Beta 1. Make sure if you DO add it, Make it A String Variable and give it a value of at least 1.0

This is what I did and ALL my extensions work, even Older extensions which I could not previously install.

Jus
 
Posts: 485
Joined: August 12th, 2004, 11:37 am

Post Posted September 10th, 2005, 5:36 am

They removed that line a while ago.

gssq

User avatar
 
Posts: 504
Joined: December 7th, 2002, 10:17 am
Location: Singapore

Post Posted September 10th, 2005, 5:56 am

Tsk tsk. No matter, that won't stop intrepid explorers like ourselves!

Using the Nightly Tester Tools extension makes it so much easier though ;)

Uncle Spellbinder

User avatar
 
Posts: 3519
Joined: May 28th, 2004, 4:52 pm
Location: Highland, IN - U.S.A.

Post Posted September 10th, 2005, 8:52 am

I don't know if anyone has mentioned this or not....

SpellBound 0.7.3. (I use it to check spelling in forums)
Mozilla SpellCheck Libraries 1.0.1.0
And the dictionaries from http://dictionaries.mozdev.org/installation.html

...all work perfectly in Firefox 1.5 Beta 1. Installed normally without Nightly Tester Tool.
My Firefox Add-Ons Collection: Firefox Essentials

Diorser

User avatar
 
Posts: 1009
Joined: June 22nd, 2005, 6:57 am

Post Posted September 11th, 2005, 1:02 pm

I have a problem with GoTo and GoUp extensions complaining about wrong GUID.
Modifying install.rtd is not sufficient. I've seen some tricks about this, but does somebody simply know where to find these updated extensions compatible with firefox ?
It could save time to all who need them. Thanks.

http://downloads.mozdev.org/clav/goto.xpi & http://downloads.mozdev.org/clav/goup.xpi

Swami
 
Posts: 4221
Joined: September 25th, 2004, 11:32 pm

Post Posted September 11th, 2005, 1:35 pm

You can fix those easily. Open install.rdf and change

<r:Description about="urn:mozilla:install-manifest">
<id>goup</id>
To

<r:Description about="urn:mozilla:install-manifest">
<id>{e1c13f32-36d8-4836-b079-d1764fffc2a3}</id>

Do the same thing with goto.
You can use this site to generate GUID's
http://extensions.roachfiend.com/cgi-bin/guid.pl

Return to Firefox Builds


Who is online

Users browsing this forum: No registered users and 1 guest